Page MenuHomePhabricator

Upgrade WebdriverIO in the RelatedArticles repository
Closed, ResolvedPublic

Description

  • Update to v5
  • Update to v6

Event Timeline

Gaura87 created this task.Apr 20 2020, 12:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2020, 12:04 PM

Change 589810 had a related patch set uploaded (by Gaura87; owner: Gaura87):
[mediawiki/extensions/RelatedArticles@master] Upgrade WebdriverIO version to v5

https://gerrit.wikimedia.org/r/589810

Gaura87 claimed this task.Apr 20 2020, 12:50 PM
zeljkofilipin triaged this task as Medium priority.Apr 20 2020, 1:18 PM
zeljkofilipin moved this task from Backlog 🔙 to Mentor 🎓 on the User-zeljkofilipin board.
Jdlrobson added subscribers: Edtadros, Jdlrobson.

Needs code review. Is this something you can help with @Edtadros ?

@Jdlrobson I walked through the change and the review process with @zeljkofilipin and conducted a review. He will be checking some other things.

ovasileva added a subscriber: ovasileva.

Removing from board, feel free to tag back if necessary

Jdlrobson removed Edtadros as the assignee of this task.May 1 2020, 5:52 PM

Change 589810 abandoned by Zfilipin:
Upgrade WebdriverIO version to v5

Reason:
GSoC application period is finished. Let's continue collaborating on https://gerrit.wikimedia.org/r/c/mediawiki/extensions/RelatedArticles/ /590557

https://gerrit.wikimedia.org/r/589810

zeljkofilipin renamed this task from Upgrade WebdriverIO version to v5 in extensions/RelatedArticles to Upgrade WebdriverIO version to v6 in extensions/RelatedArticles.May 22 2020, 2:06 PM
zeljkofilipin assigned this task to Vidhi-Mody.

Change 598517 had a related patch set uploaded (by Vidhi-Mody; owner: Vidhi-Mody):
[mediawiki/extensions/RelatedArticles@master] Selenium: Update to WebdriverIO v5

https://gerrit.wikimedia.org/r/598517

Vidhi-Mody renamed this task from Upgrade WebdriverIO version to v6 in extensions/RelatedArticles to Upgrade WebdriverIO in the RelatedArticles repository.May 25 2020, 6:23 PM
Vidhi-Mody updated the task description. (Show Details)

Change 598517 merged by jenkins-bot:
[mediawiki/extensions/RelatedArticles@master] Selenium: Update to WebdriverIO v5

https://gerrit.wikimedia.org/r/598517

Vidhi-Mody updated the task description. (Show Details)May 29 2020, 4:35 PM

Change 602759 had a related patch set uploaded (by Vidhi-Mody; owner: Vidhi-Mody):
[mediawiki/extensions/RelatedArticles@master] Selenium: Update to WebdriverIO v6

https://gerrit.wikimedia.org/r/602759

Change 602759 merged by jenkins-bot:
[mediawiki/extensions/RelatedArticles@master] Selenium: Update to WebdriverIO v6

https://gerrit.wikimedia.org/r/602759

Vidhi-Mody closed this task as Resolved.Jun 9 2020, 10:26 AM
Vidhi-Mody updated the task description. (Show Details)